{% extends 'base.html' %}
{% load static %}

{% block sidebar %}
{% endblock sidebar %}

{% block content-title %}
<div class="row">
  <nav title="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item" aria-current="page"><a href="{% url 'networks:index' %}">Networks</a></li>
    </ol>
  </nav>
</div>
{% endblock content-title %}


{% block content %}
<div class="row">
  <div class="col-lg-12">
    <table id="networks" class="table table-light table-striped table-borderless table-hover">
      <thead>
        <tr>
          <th scope="col">name</th>
          <th scope="col">type</th>
          <th scope="col">description</th>
        </tr>
      </thead>
      <tbody>
        {% for network in networks %}
        <tr>
          <th scope="row">
            <div class="clickable" data-tableid="networks"><span><a
                  href="{% url 'networks:network' name=network.name %}">{{network.name}}</a></span>
            </div>
          </th>
          <th scope="row">
            <div class="clickable" data-tableid="networks"><span><a
                  href="{% url 'networks:networks_type' network_type=network.type %}">{{network.type}}</a></span>
            </div>
          </th>
          <th scope="row">{{network.description}}</th>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>
{% endblock content %}

{% block javascript %}
<script src="{% static 'networks/js/networks.js' %}"></script>
{% endblock javascript %}